## EomPrintPreview

EomPrintPreview

## Functions

GtkWidget * | eom_print_preview_new ()
GtkWidget * | eom_print_preview_new_with_pixbuf ()
void | eom_print_preview_set_page_margins ()
void | eom_print_preview_set_from_page_setup ()
void | eom_print_preview_get_image_position ()
void | eom_print_preview_set_image_position ()
void | eom_print_preview_set_scale ()

## Properties

GObject * | image | Read / Write
gfloat | image-scale | Read / Write
gfloat | image-x-align | Read / Write
gfloat | image-y-align | Read / Write
gfloat | page-bottom-margin | Read / Write
gfloat | page-left-margin | Read / Write
gfloat | page-right-margin | Read / Write
gfloat | page-top-margin | Read / Write
gfloat | paper-height | Read / Write
gfloat | paper-width | Read / Write

## Signals

void | image-moved | Run First

## Types and Values

struct | EomPrintPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkFrame
                            ╰── GtkAspectFrame
                                ╰── EomPrintPreview

## Implemented Interfaces

EomPrintPreview implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### eom_print_preview_new ()

    GtkWidget *
    eom_print_preview_new (void);

Creates a new EomPrintPreview widget, setting it to the default values, and leaving the page empty. You still need to set the “image” property to make it useful.

#### Returns

A new and empty EomPrintPreview widget.

### eom_print_preview_new_with_pixbuf ()

    GtkWidget *
    eom_print_preview_new_with_pixbuf (GdkPixbuf *pixbuf);

Creates a new EomPrintPreview widget, and sets the GdkPixbuf to preview on it.

#### Parameters

pixbuf | a GdkPixbuf |

#### Returns

A new EomPrintPreview widget.

### eom_print_preview_set_page_margins ()

    void
    eom_print_preview_set_page_margins (EomPrintPreview *preview,
                                        gfloat l_margin,
                                        gfloat r_margin,
                                        gfloat t_margin,
                                        gfloat b_margin);

Manually set the margins, in inches.

#### Parameters

preview | a EomPrintPreview |
l_margin | Left margin. |
r_margin | Right margin. |
t_margin | Top margin. |
b_margin | Bottom margin. |

### eom_print_preview_set_from_page_setup ()

    void
    eom_print_preview_set_from_page_setup (EomPrintPreview *preview,
                                           GtkPageSetup *setup);

Sets up the page properties from a GtkPageSetup. Useful when using the widget with the GtkPrint API.

#### Parameters

preview | a EomPrintPreview |
setup | a GtkPageSetup to set the properties from |

### eom_print_preview_get_image_position ()

    void
    eom_print_preview_get_image_position (EomPrintPreview *preview,
                                          gdouble *x,
                                          gdouble *y);

Gets current image position in inches, relative to the margins. A (0, 0) position is the intersection between the left and top margins.

#### Parameters

preview | a EomPrintPreview |
x | a pointer to a gdouble, or `NULL` to ignore it |
y | a pointer to a gdouble, or `NULL` to ignore it |

### eom_print_preview_set_image_position ()

    void
    eom_print_preview_set_image_position (EomPrintPreview *preview,
                                          gdouble x,
                                          gdouble y);

Sets the image position. You can pass -1 to one of the coordinates if you only want to set the other.

#### Parameters

preview | a EomPrintPreview |
x | The X coordinate, in inches, or -1 to ignore it. |
y | The Y coordinate, in inches, or -1 to ignore it. |

### eom_print_preview_set_scale ()

    void
    eom_print_preview_set_scale (EomPrintPreview *preview,
                                 gfloat scale);

Sets the scale for the image.

#### Parameters

preview | a EomPrintPreview |
scale | a scale value, between 0 and 1. |

## Types and Values

### struct EomPrintPreview

    struct EomPrintPreview;

## Property Details

### The `“image”` property

      “image”                    GObject *

The "image" property defines the image that is previewed in the widget.

Flags: Read / Write

### The `“image-scale”` property

      “image-scale”              gfloat

The "image-scale" property defines the scaling of the image that the user wants for the printing.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“image-x-align”` property

      “image-x-align”            gfloat

The "image-x-align" property defines the horizontal alignment of the image in the widget.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“image-y-align”` property

      “image-y-align”            gfloat

The "image-y-align" property defines the horizontal alignment of the image in the widget.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“page-bottom-margin”` property

      “page-bottom-margin”       gfloat

The size of the page's bottom margin, in inches.

Flags: Read / Write

Allowed values: [0,200]

Default value: 0.56

### The `“page-left-margin”` property

      “page-left-margin”         gfloat

The size of the page's left margin, in inches.

Flags: Read / Write

Allowed values: [0,100]

Default value: 0.25

### The `“page-right-margin”` property

      “page-right-margin”        gfloat

The size of the page's right margin, in inches.

Flags: Read / Write

Allowed values: [0,200]

Default value: 0.25

### The `“page-top-margin”` property

      “page-top-margin”          gfloat

The size of the page's top margin, in inches.

Flags: Read / Write

Allowed values: [0,100]

Default value: 0.25

### The `“paper-height”` property

      “paper-height”             gfloat

The height of the previewed paper, in inches.

Flags: Read / Write

Allowed values: [0,200]

Default value: 11

### The `“paper-width”` property

      “paper-width”              gfloat

The width of the previewed paper, in inches.

Flags: Read / Write

Allowed values: [0,100]

Default value: 8.5

## Signal Details

### The `“image-moved”` signal

    void
    user_function (EomPrintPreview *preview,
                   gpointer         user_data)

The “image-moved” signal is emitted when the position of the image is changed.

#### Parameters

preview | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run First